curl --request POST \
--url https://api.example.com/annotation_queues/{queue_id}/items/{item_id}/progress \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "<string>",
"annotation_state": "<string>"
}
'{
"item": {
"id": "<string>",
"project_id": "<string>",
"queue_id": "<string>",
"call_id": "<string>",
"call_started_at": "2023-11-07T05:31:56Z",
"call_op_name": "<string>",
"call_trace_id": "<string>",
"display_fields": [
"<string>"
],
"annotation_state": "unstarted",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"call_ended_at": "2023-11-07T05:31:56Z",
"added_by": "<string>",
"annotator_user_id": "<string>",
"deleted_at": "2023-11-07T05:31:56Z",
"position_in_queue": 123
}
}Update the annotation state of a queue item for the current annotator.
curl --request POST \
--url https://api.example.com/annotation_queues/{queue_id}/items/{item_id}/progress \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "<string>",
"annotation_state": "<string>"
}
'{
"item": {
"id": "<string>",
"project_id": "<string>",
"queue_id": "<string>",
"call_id": "<string>",
"call_started_at": "2023-11-07T05:31:56Z",
"call_op_name": "<string>",
"call_trace_id": "<string>",
"display_fields": [
"<string>"
],
"annotation_state": "unstarted",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"call_ended_at": "2023-11-07T05:31:56Z",
"added_by": "<string>",
"annotator_user_id": "<string>",
"deleted_at": "2023-11-07T05:31:56Z",
"position_in_queue": 123
}
}Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Request body for updating annotation progress (queue_id and item_id come from path).
Note: wb_user_id is not included in the body - it's set server-side from the authenticated session.
Successful Response
Response from updating annotation state.
Schema for annotation queue item responses.
Show child attributes
Was this page helpful?